[Hackage] #598: Bogus build failures on HackageDB

Hackage trac at galois.com
Sat Jan 16 09:08:00 EST 2010

#598: Bogus build failures on HackageDB
  Reporter:  mboes              |        Owner:     
      Type:  defect             |       Status:  new
  Priority:  normal             |    Milestone:     
 Component:  hackageDB website  |      Version:     
  Severity:  normal             |     Keywords:     
Difficulty:  unknown            |   Ghcversion:     
  Platform:                     |  

Comment(by ross):

 The client's build environment got messed up by building recent versions
 of a couple of GHC 6.12.1 core packages with GHC 6.10.  There are two
 problems with that:
  * some of them have undeclared dependencies on base-
  * Cabal and the GHC build system build packages with different flags, so
 that yields a binary incompatibility.
 Switching to GHC 6.12.1 fixes those, leaving the diamond dependency
 problem.  Building with cabal-install should fix that, but seems to be
 blocked by #517.

Ticket URL: <http://hackage.haskell.org/trac/hackage/ticket/598#comment:9>
Hackage <http://haskell.org/cabal/>
Hackage: Cabal and related projects

More information about the cabal-devel mailing list